/* new css */
.shop-filter-toggle-container {
	min-width: 85px !important;
}
.shop-cart-toggle {
	width: 10% !important;
	min-width: 100px !important;
}
.shop-cart-toggle .elementor-menu-cart__toggle_button {
	min-height: 66px !important;
}

.shop-filter-toggle-container {
    cursor: pointer !important;
    z-index: 99;
    position: relative;
}

.shop-filter-toggle-container * {
    pointer-events: none;
}

.facetwp-filter-category {
    display: none;
	font-family: "DM Sans",sans-serif !important;
}

.facetwp-filter-category.is-visible {
    display: block !important;
}

/* 1. Wrapper Styling */
.facetwp-filter-category .facet-wrap {
    padding: 20px;
    border: 1px solid #dcdcdc;
    background-color: #fff;
	min-width: 300px !im
}

@media (min-width: 1024px) {
	.facetwp-filter-category {
		min-width: 300px !important;
	}
	.facetwp-filter-category .facet-wrap {
		min-width: 300px !important;
		padding: 20px 40px 20px 20px;
	}
}

/* 2. Text Styling (Labels) */
.facetwp-checkbox {
    font-size: 16px;
    font-weight: 400;
    color: var(--e-global-color-secondary);
    display: flex !important;
    align-items: center;
    cursor: pointer;
    margin-bottom: 8px;
    position: relative;
    padding-left: 30px;
    background: none !important;
}

.facetwp-checkbox:hover .facetwp-display-value {
    font-weight: 700;
}

/* 3. Checkbox Styling (Custom Circles) */
.facetwp-checkbox::before {
    content: '';
    position: absolute;
    left: 0;
    width: 14px;
    height: 14px;
    border: 1px solid #cdcdcd;
    border-radius: 50%;
    background-color: transparent;
    transition: all 0.2s ease;
}

/* Selected State */
.facetwp-checkbox.checked::before {
    background-color: #707070;
    border-color: #707070;
    box-shadow: inset 0 0 0 3px #fff;
}

.facetwp-facet-categories .facetwp-checkbox {
	margin-bottom: 8px !important;
}

/* 4. Caret Styling */
.facetwp-expand {
    margin-left: auto;
    font-size: 0 !important; /* Hides [+] and [-] text */
    width: 20px;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.facetwp-expand::after {
    content: '\f0d7'; 
    font-family: "Font Awesome 6 Free", "Font Awesome 5 Free";
    font-weight: 900;
    font-size: 16px;
    color: var(--e-global-color-secondary);
    display: inline-block;
    transition: transform 0.3s ease;
    transform: rotate(0deg);
}

.facetwp-filter-category .facetwp-display-value {
	color: var(--e-global-color-secondary) !important;
}

.facetwp-filter-category .facetwp-checkbox.disabled, 
.facetwp-filter-category .facetwp-radio.disabled {
	opacity: 1 !important;
}

.facetwp-expand.is-open::after {
    transform: rotate(180deg) !important;
}

.shop-search-facetwp {
    width: 79% !important;
    min-height: 66px !important;
    display: flex !important;
    align-items: center !important;
}

@media (max-width: 1024px) {
	.shop-search-facetwp {
		width: 60% !important;
	}
}

@media (max-width: 767px) {
	.shop-search-facetwp {
		width: 51% !important;
	}
}

.shop-search-facetwp .elementor-widget-container, 
.shop-search-facetwp .facetwp-facet, 
.shop-search-facetwp .facetwp-input-wrap {
	width: 100% !important;
}
.shop-search-facetwp .facetwp-facet {
	margin: 0px !important;
}

.shop-search-facetwp .facetwp-input-wrap {
    width: 100% !important;
    height: 100%  !important;
	min-height: 66px !important;
}

.shop-search-facetwp .facetwp-input-wrap .facetwp-icon {
	margin-right: 20px !important;
}

.shop-search-facetwp .facetwp-input-wrap .facetwp-search {
	min-height: 66px !important;
}

.shop-search-facetwp .facetwp-input-wrap .facetwp-search {
	outline: none !important;
}
.shop-search-facetwp input.facetwp-search {
    width: 100% !important;
/*     height: 50px; */
    padding: 0 50px 0 20px !important;
    border: 1px solid #dcdcdc !important;
    background-color: #fff !important;
    border-radius: 0; /* Set to 0 or your preferred radius */
    font-size: 16px !important;
    color: var(--e-global-color-secondary) !important;
}

.shop-checkout-button .elementor-button {
	min-width: 140px !important;
	min-height: 66px !important;
	display: flex !important;
	align-items: center !important;
}

.b2bking-instruction-message {
	width: 100% !important;
	text-align: center !important;
}
.shop-loop-img,
.v_img {
	width: 45px !important;
	max-width: 45px !important;
	min-width: 45px !important;
}

.v_img img {
	width: 45px !important;
	object-fit: contain !important;
}

.v_img {
	height: 100% !important;
	display: flex !important;
	align-items: center !important;
	align-self: center !important;
}

@media (min-width: 1024px) and (max-width: 1600px) {
    .shop-loop-img,
    .v_img {
        display: none !important;
    }
}

.v_title {
	font-family: "DM Sans", Sans-serif !important;
    font-size: 16px !important; 
    font-weight: 400 !important;
    color: var(--e-global-color-secondary) !important;
	line-height: 1.4 !important;
    letter-spacing: .6px !important;
	width: 50% !important;
	margin-top: 17px !important;
}

.shop-loop-stock-status .b2bking_bulkorder_form_container_content_line_stock,
.shop-loop-stock-status, 
.v_stock {
	min-width: 40px !important;
	width: 40px !important;
	max-width: 40px !important;
}

.v_stock {
	display: flex !important;
	justify-content: center !important;
}

.shop-loop-supplier-sku, 
.v_sku {
	width: 150px !important;
	max-width: 150px !important;
	min-width: 150px !important;
	margin-top: 17px !important;
}

@media (max-width: 1600px) {
	.shop-loop-supplier-sku, 
	.v_sku {
		width: 130px !important;
		max-width: 130px !important;
		min-width: 130px !important;
		margin-top: 17px !important;
	}
}


@media (max-width: 1024px) {
	.shop-loop-supplier-sku, 
	.v_sku {
		width: calc(50% - 10px) !important;
		max-width: calc(50% - 10px) !important;
		min-width: calc(50% - 10px) !important;
	}
	.shop-loop-supplier-sku .b2bking_bulkorder_cream_supplier_sku, 
	.v_sku .b2bking_bulkorder_cream_supplier_sku {
		text-align: start !important;
	}
}

.v_sku {
	text-align: center !important;
	color: #333 !important;
}

.shop-loop-ean, 
.v_ean {
	width: 170px !important;
	max-width: 170px !important;
	min-width: 170px !important;
	margin-top: 17px !important;
}

@media (max-width: 1600px) {
	.shop-loop-ean, 
	.v_ean {
		width: 150px !important;
		max-width: 150px !important;
		min-width: 150px !important;
		margin-top: 17px !important;
	}
}

@media (max-width: 1024px) {
	.shop-loop-ean, 
	.v_ean {
		width: calc(50% - 10px) !important;
		max-width: calc(50% - 10px) !important;
		min-width: calc(50% - 10px) !important;
	}
	.shop-loop-ean .b2bking_bulkorder_cream_ean, 
	.v_ean .b2bking_bulkorder_cream_ean {
		text-align: center !important;
	}
}

.v_ean {
	text-align: center !important;
	color: #333 !important;
}

.shop-loop-price, 
.v_price {
	width: 100px !important;
	max-width: 100px !important;
	min-width: 100px !important;
	margin-top: 0px !important;
}

@media (max-width: 1600px) {
	.shop-loop-price, 
	.v_price {
		width: 80px !important;
		max-width: 80px !important;
		min-width: 80px !important;
	}
}

.shop-loop-price .b2bking_bulkorder_cream_custom_price.has-discount, 
.v_price .b2bking_bulkorder_cream_custom_price.has-discount {
	margin-top: 0px !important;
}
.shop-loop-price .b2bking_bulkorder_cream_custom_price.no-discount, 
.v_price .b2bking_bulkorder_cream_custom_price.no-discount {
	margin-top: 17px !important;
}


@media (max-width: 1024px) {
	.shop-loop-price, 
	.v_price {
		width: calc(25% - 20px) !important;
		max-width: calc(25% - 20px) !important;
		min-width: calc(25% - 20px) !important;
	}
	.shop-loop-price .b2bking_bulkorder_cream_custom_price, 
	.v_price .b2bking_bulkorder_cream_custom_price,
	.shop-loop-price .b2bking_bulkorder_cream_custom_price .b2bking_unit_price, 
	.v_price .b2bking_bulkorder_cream_custom_price .b2bking_unit_price {
		text-align: start !important;
	}
	
	
}

.v_price {
	text-align: center !important;
}

.v_price .woocommerce-price-suffix {
	display: none !important;
}

.shop-loop-qty .b2bking_cream_input_group,
.shop-loop-qty,
.v_qty {
	width: 130px !important;
	max-width: 130px !important;
	min-width: 130px !important;
}

@media (max-width: 1600px) {
	.shop-loop-qty .b2bking_cream_input_group,
	.shop-loop-qty,
	.v_qty {
		width: 90px !important;
		max-width: 90px !important;
		min-width: 90px !important;
	}
}
 
@media (max-width: 1024px) {
	.shop-loop-qty .b2bking_cream_input_group,
	.shop-loop-qty,
	.v_qty {
		width: calc(25% - 60px) !important;
		max-width: calc(25% - 60px) !important;
		min-width: calc(25% - 60px) !important;
	}
}

.shop-loop-packaging-unit,
.v_vpe {
	width: 40px !important;
	min-width: 40px !important;
	max-width: 40px !important;
}

@media (min-width: 1024px) and (max-width:1600px) {
	.shop-loop-packaging-unit,
	.v_vpe {
		display: none !important;
	}
}

.v_vpe {
	font-size: 12px !important;
	margin-top: 20px !important;
}

.shop-loop-add-to-cart .b2bking_bulkorder_form_container_content_line_cart_cream,
.shop-loop-add-to-cart,
.v_action {
	width: 200px !important;
	max-width: 200px !important;
	min-width: 200px !important;
}

@media (max-width: 1024px) {
	.shop-loop-add-to-cart .b2bking_bulkorder_form_container_content_line_cart_cream,
	.shop-loop-add-to-cart,
	.v_action {
		width: 50% !important;
		max-width: 50% !important;
		min-width: 50% !important;
	}
}

.b2bking_bulkorder_form_container_content_line_packaging_unit {
	margin-right: 0px !important;
	margin-left: 0px !important;
}

.b2bking_cream_input_group {
	display: flex !important;
	margin-top: 6px !important;
	justify-content: center !important;
}

.b2bking_cream_input_group .b2bking_cream_input_button.b2bking_cream_input_minus_button, 
.b2bking_cream_input_group .b2bking_cream_input_button.b2bking_cream_input_plus_button {
	background: #fff !important;
	border-radius: 4px !important;
	color: #ccc !important;
	font-size: 18px !important;
	font-weight: 300 !important;
	display: flex !important;
	justify-content: center !important;
	align-items: center !important;
}
.b2bking_cream_input_group .b2bking_cream_input_button:hover {
	background: #f3f3f3 !important;
	color: #000 !important;
}

.b2bking_cream_input_group .b2bking_bulkorder_form_container_content_line_qty_cream,
.v_qty_input.b2bking_bulkorder_form_container_content_line_qty {
	width: 32px !important;
	margin: 0px !important;
	min-height: 0px !important;
	text-align: center !important;
	font-size: 16px !important;
	padding: 8px 2px !important;
	border: none !important;
	color: #393939 !important;
}


.b2bking_cream_input_group input.b2bking_bulkorder_form_container_content_line_qty::-webkit-outer-spin-button,
.b2bking_cream_input_group input.b2bking_bulkorder_form_container_content_line_qty::-webkit-inner-spin-button,
.v_qty_input.b2bking_bulkorder_form_container_content_line_qty::-webkit-outer-spin-button,
.v_qty_input.b2bking_bulkorder_form_container_content_line_qty::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.b2bking_cream_input_group input.b2bking_bulkorder_form_container_content_line_qty[type=number],
.v_qty_input.b2bking_bulkorder_form_container_content_line_qty[type=number] {
  -moz-appearance: textfield;
}

.b2bking_bulkorder_form_container_content_line_cart_cream,
.v_action {
	display: flex !important;
	justify-content: start !important;
	align-items: center !important;
	margin-top: 9px !important;
}

.b2bking_bulkorder_form_container_content_line_cart_cream .b2bking_bulkorder_cream_add.single_add_to_cart_button,
.b2bking_bulkorder_form_container_content_line_cart_cream .b2bking_variable_toggle_btn.b2bking_bulkorder_cream_add,
.v_action .v_add_to_cart_btn {
	border-radius: 0px !important;
    background-color: #00000000 !important;
    border: 1px solid var(--e-global-color-1ade811) !important;
    color: var(--e-global-color-1ade811) !important;
    transition: .3s ease !important;
	padding: 1px 10px !important;
	max-width: 165px !important;
	width: 100% !important;
	min-height: 37px !important;
}

.b2bking_bulkorder_form_container_content_line_cart_cream .b2bking_bulkorder_cream_add.single_add_to_cart_button:hover,
.b2bking_bulkorder_form_container_content_line_cart_cream .b2bking_variable_toggle_btn.b2bking_bulkorder_cream_add:hover,
.v_action .v_add_to_cart_btn:hover {
	background-color: var(--e-global-color-1ade811) !important;
    border: 1px solid var(--e-global-color-1ade811) !important;
    color: #fff !important;
}

.v_action .v_add_to_cart_btn {
	min-width: 165px !important;
}

.b2bking_bulkorder_form_container_content_line_cart_cream .b2bking_bulkorder_form_container_content_multiselect_cream,
.v_action .b2bking_cream_select_checkbox {
	margin: 0px !important;
	margin-top: 0px !important;
	margin-left: 5px !important;
}
.b2bking_bulkorder_form_container_content_line_cart_cream .b2bking_bulkorder_form_container_content_multiselect_cream input[type=checkbox],
.v_action .b2bking_cream_select_checkbox input[type=checkbox] {
	margin: 0px !important;
}

.custom-product-grid .elementor-loop-container .e-loop-item {
    display: flex !important;
    flex-direction: column !important;
    overflow: visible !important;
}

.custom-product-grid .e-loop-item > .elementor-element.e-con {
    width: 100% !important;
}

.b2bking_variations_container_drawer {
    display: none;
    width: 100% !important;
    background: #fafafa;
    padding: 0px 20px;
    box-sizing: border-box;
    z-index: 10;
}

.custom-product-grid .elementor-widget-shortcode, 
.custom-product-grid .elementor-widget-container {
    overflow: visible !important;
}

.variation_row_item {
	display: flex !important;
	flex-direction: row !important;
	gap: 20px !important;
	padding-top: 10px !important;
	padding-bottom: 10px !important;
	border-bottom: 1px solid #EAEAEA !important;
}

@media (max-width: 767px) {
	.variation_row_item {
		flex-wrap: wrap !important;
		gap: 10px !important;
	}
}

.v_action .b2bking_cream_select_checkbox {
	margin-left: 4px !important;
	margin-right: 4px !important;
}

@media (max-width: 1600px) {
	.shop-page-row-item {
		gap: 10px !important;
	}
}

@media (min-width:1024px) and (max-width:1600px) {
	.shop-page-row-item {
		padding: 10px !important;
	}
}

.shop-page-row-item.drawer-open {
    background-color: #f4f4f4 !important;
}

.shop-page-row-item {
    background-color: #ffffff;
    transition: background-color 0.3s ease;
}

.b2bking_bulkorder_form_container_content_line_cart_cream .added_to_cart.wc-forward,
.v_action .added_to_cart.wc-forward {
	display: none !important;
}

.shop-cart-toggle .elementor-menu-cart__toggle_wrapper,
.shop-cart-toggle .elementor-menu-cart__toggle_wrapper .elementor-menu-cart__toggle {
	width: 100% !important;
}

.shop-cart-toggle .elementor-menu-cart__toggle_button {
	width: 100% !important;
	justify-content: center !important;
}

.shop-cart-toggle .woocommerce-Price-amount {
	color: var(--e-global-color-secondary) !important;
}

.shop-cart-toggle .elementor-menu-cart__toggle_button:hover .woocommerce-Price-amount {
	color: #333 !important;
}

.facetwp-facet-merk {
	margin-bottom: 0px !important;
}

#b2bking_bulk_float_bar {
    left: 50%;
    transform: translateX(-50%);
    right: auto !important;
    z-index: 9999;
    background: #fff;
    padding: 15px;
    border-radius: 8px;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.15);
    border: 1px solid #eee;
    display: flex;
    align-items: center;
    gap: 15px;
}

#b2bking_bulk_add_final {
    background-color: #4E9E21 !important;
    border: 1px solid #4E9E21 !important;
    color: #fff !important;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

#b2bking_bulk_add_final:hover {
    background-color: #fff !important;
    border: 1px solid #4E9E21 !important;
    color: #4E9E21 !important;
}

.shop-cart-toggle #elementor-menu-cart__toggle_button.elementor-button {
    display: flex;
    flex-direction: column;
    align-items: center; /* Centers items horizontally */
    gap: 5px;
}

.shop-cart-toggle .elementor-button-text {
    display: block;
}

.shop-cart-toggle .elementor-button-icon {
    display: flex !important;
    align-items: center;
    gap: 5px;
}

.shop-cart-toggle .elementor-button-icon svg {
    order: 1;
}

.shop-cart-toggle .elementor-button-icon-qty {
    order: 2;
    position: static !important;
    display: inline-block;
}
